Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.dependencies.startup
Class MandatoryImporterDependencyFactory

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.dependencies.startup.MandatoryImporterDependencyFactory

All Implemented Interfaces:
  OsgiServiceDependencyFactory

    public class MandatoryImporterDependencyFactory

extends Object
implements OsgiServiceDependencyFactory

Default mandatory importer dependency factory. Note: To cope with some of the inconsistencies in the Blueprint spec, lazy mandatory importers will not be activated and their configuration will be read directly from the property values (ugh).

Author:
  Costin Leau

Constructor Summary
`MandatoryImporterDependencyFactory()`

Method Summary
`Collection<OsgiServiceDependency>` | `getServiceDependencies(org.osgi.framework.BundleContext bundleContext, org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)` Returns the OSGi service dependencies applying for the given bean factory running inside the given bundle context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MandatoryImporterDependencyFactory

    public MandatoryImporterDependencyFactory()

Method Detail

### getServiceDependencies

    public Collection<OsgiServiceDependency> getServiceDependencies(org.osgi.framework.BundleContext bundleContext,
                                                                    org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                                             throws org.springframework.beans.BeansException,
                                                                    org.osgi.framework.InvalidSyntaxException,
                                                                    org.osgi.framework.BundleException

  Description copied from interface: `OsgiServiceDependencyFactory`
  Returns the OSGi service dependencies applying for the given bean factory running inside the given bundle context. The returned collection should contain only `OsgiServiceDependency` objects.

  Specified by:
    `getServiceDependencies` in interface `OsgiServiceDependencyFactory`
  Parameters:
    `bundleContext` - bundle
    `beanFactory` - the bean factory used by the application context
  Returns:
    collection of service dependencies
  Throws:
    `org.springframework.beans.BeansException` - in case of factory errors
    `org.osgi.framework.InvalidSyntaxException` - in case of OSGi filters errors
    `org.osgi.framework.BundleException` - in case of OSGi bundle errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.